Package com.complexible.common.rdf.rio

# Class RDFObfuscator

java.lang.Object
com.complexible.common.rdf.rio.RDFObfuscator

All Implemented Interfaces:
  `Function<Statement,Statement>`

public final class RDFObfuscator extends Object implements Function<Statement,Statement>
This is a simple utility program to obfuscate the contents of an RDF file. The program will obfuscate all IRIs and string literals using a message digest algorithm. Bnodes and non-string typed literals are left unchanged. The obfuscation is guided by a configuration file. Configuration can specify which IRIs and string will be obfuscated by defining inclusion and exclusion filters.

Since:
  2.0
Version:
  6.0
Author:
  Evren Sirin

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RDFObfuscator()`
  `RDFObfuscator(String configFile)`
  `RDFObfuscator(String configFile, Iterable<Namespace> theNamespaces)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Statement`
  `apply(Statement stmt)`
  `Namespaces`
  `namespaces()`
  `String`
  `obfuscateQuery(String theQuery)`
  `String`
  `obfuscateRule(String theRule)`
  `<T extends Value>
  T`
  `obfuscateValue(T value, com.complexible.common.rdf.rio.RDFObfuscator.FilterPosition pos)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Function

  `andThen, compose`

- ## Constructor Details

  - ### RDFObfuscator

    public RDFObfuscator() throws Exception
    Throws:
      `Exception`

  - ### RDFObfuscator

    public RDFObfuscator(String configFile) throws Exception
    Throws:
      `Exception`

  - ### RDFObfuscator

    public RDFObfuscator(String configFile, Iterable<Namespace> theNamespaces) throws Exception
    Throws:
      `Exception`

- ## Method Details

  - ### namespaces

    public Namespaces namespaces()

  - ### apply

    public Statement apply(Statement stmt)
    Specified by:
      `apply` in interface `Function<Statement,Statement>`

  - ### obfuscateValue

    public <T extends Value> T obfuscateValue(T value, com.complexible.common.rdf.rio.RDFObfuscator.FilterPosition pos)

  - ### obfuscateQuery

    public String obfuscateQuery(String theQuery)

  - ### obfuscateRule

    public String obfuscateRule(String theRule)